> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List enrichment modules

> Get a list of all available enrichment modules



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json get /enrichments
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /enrichments:
    get:
      tags:
        - enrichments
      summary: List enrichment modules
      description: Get a list of all available enrichment modules
      operationId: list_enrichments_enrichments_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentsListResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    EnrichmentsListResponse:
      properties:
        modules:
          items:
            type: string
          type: array
          title: Modules
      type: object
      required:
        - modules
      title: EnrichmentsListResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message details
      type: object
      required:
        - detail
      title: ErrorResponse

````